## net.sf.antcontrib.antserver
Class Response

    java.lang.Object
      net.sf.antcontrib.antserver.Response

All Implemented Interfaces:
  java.io.Serializable

    public class Response

extends java.lang.Object
implements java.io.Serializable

Place class description here.

Author:
  Matthew Inger
See Also:
  Serialized Form

Constructor Summary
`Response()`

Method Summary
`long` `getContentLength()`
`java.lang.String` `getErrorMessage()`
`java.lang.String` `getErrorStackTrace()`
`java.lang.String` `getResultsXml()`
`boolean` `isSucceeded()`
`void` `setContentLength(long contentLength)`
`void` `setErrorMessage(java.lang.String errorMessage)`
`void` `setErrorStackTrace(java.lang.String errorStackTrace)`
`void` `setResultsXml(java.lang.String resultsXml)`
`void` `setSucceeded(boolean succeeded)`
`void` `setThrowable(java.lang.Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Response

    public Response()

Method Detail

### isSucceeded

    public boolean isSucceeded()

### setSucceeded

    public void setSucceeded(boolean succeeded)

### setThrowable

    public void setThrowable(java.lang.Throwable t)

### getErrorStackTrace

    public java.lang.String getErrorStackTrace()

### setErrorStackTrace

    public void setErrorStackTrace(java.lang.String errorStackTrace)

### getErrorMessage

    public java.lang.String getErrorMessage()

### setErrorMessage

    public void setErrorMessage(java.lang.String errorMessage)

### getResultsXml

    public java.lang.String getResultsXml()

### setResultsXml

    public void setResultsXml(java.lang.String resultsXml)

### getContentLength

    public long getContentLength()

### setContentLength

    public void setContentLength(long contentLength)